{%- from "clickhouse/map.jinja" import clickhouse with context -%}
---
clickhouse-config-file-settings:
  file.managed:
    - name: /etc/clickhouse-server/config.d/settings.xml
    - source: salt://clickhouse/templates/settings.xml.j2
    - user: clickhouse
    - group: clickhouse
    - mode: 600
    - template: jinja

clickhouse-config-file-macros:
  file.managed:
    - name: /etc/clickhouse-server/config.d/macros.xml
    - source: salt://clickhouse/templates/macros.xml.j2
    - user: clickhouse
    - group: clickhouse
    - mode: 600
    - template: jinja

clickhouse-config-file-replica:
  file.managed:
    - name: /etc/clickhouse-server/config.d/replica.xml
    - source: salt://clickhouse/templates/replica.xml.j2
    - user: clickhouse
    - group: clickhouse
    - mode: 600
    - template: jinja

clickhouse-config-file-keeper:
  file.managed:
    - name: /etc/clickhouse-server/config.d/keeper.xml
    - source: salt://clickhouse/templates/keeper.xml.j2
    - user: clickhouse
    - group: clickhouse
    - mode: 600
    - template: jinja

clickhouse-config-file-tls:
  file.managed:
    - name: /etc/clickhouse-server/config.d/tls.xml
    - source: salt://clickhouse/templates/tls.xml.j2
    - user: clickhouse
    - group: clickhouse
    - mode: 600
    - template: jinja
